# norootforbuild

%define name    xine-browser-plugin
%define version 1.0.2
%define release 1
%define major   1
%define libname libxine%{major}
%define libvers 1

Name:           %{name}
Summary:        A Netscape/Mozilla plugin using xine engine for audio/video playback.
Summary(de):    Ein Netscape/Mozilla Plugin welches xine zur Wiedergabe von Audio/Videos nutzt.
Version:        %{version}
Release:        2.24
Group:          Productivity/Networking/Web/Browsers
License:        GPL v2 or later
Url:            http://xinehq.de

Source0:        xine-plugin-%{version}.tar.bz2

Buildroot:      %{_tmppath}/%{name}-%{version}-%{release}-root
Requires:       %{libname} >= %{libvers}
BuildRequires:  %{libname} >= %{libvers}
BuildRequires:  %{libname}-devel >= %{libvers}
BuildRequires:  xorg-x11-devel pkg-config
Obsoletes:      xine-plugin, xine-mozilla-plugin
Provides:       xine-plugin, xine-mozilla-plugin

%description
xine-browser-plugin provides multimedia capabilities to Netscape/Mozilla or
compatible browsers using xine engine.

%description -l de
xine-browser-plugin stellt Netscape/Mozilla und kompatiblen Browsern Multimediafähigkeiten
basierend auf der xine Bibliothek zur Verfügung.

%debug_package

%prep
%setup -n xine-plugin-%{version}

%build
export CFLAGS="${RPM_OPT_FLAGS}"

if [ ! -f configure ]; then
   NO_CONFIGURE=1 ./autogen.sh
#   NO_CONFIGURE=1 ./cvscompile.sh
fi

#
# currently we do not use %%configure as it seems to cause trouble with
# certain automake produced configure scripts - depending on automake version.
# Use BUILD_ARGS envvar to pass extra parameters to configure (like --enable-dha-mod/etc...)
#
./configure --build=%{_target_platform} --prefix=%{_prefix} \
	    --exec-prefix=%{_exec_prefix} --bindir=%{_bindir} \
	    --sbindir=%{_sbindir} --sysconfdir=%{_sysconfdir} \
	    --datadir=%{_datadir} --includedir=%{_includedir} \
	    --libdir=%{_libdir} --libexecdir=%{_libexecdir} \
	    --localstatedir=%{_localstatedir} \
	    --sharedstatedir=%{_sharedstatedir} --mandir=%{_mandir} \
	    --infodir=%{_infodir} PLUGIN_DIR=%{_libdir}/browser-plugins \
	    --enable-shared $BUILD_ARGS
make

%install
[ "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_libdir}/browser-plugins/
%{__install} -m755 src/.libs/xineplugin.so ${RPM_BUILD_ROOT}%{_libdir}/browser-plugins/
%{__install} -m644 misc/xine-logo.* ${RPM_BUILD_ROOT}%{_libdir}/browser-plugins/

%post
if [ "$1" = "1" ] || [ "$1" = "2" ] ; then # install or update
	# plugindirs to check
	PLUGINDIRS='/opt/mozilla/%{_lib}/plugins /opt/MozillaFirefox/%{_lib}/plugins /opt/netscape/plugins /opt/mozilla/plugins %{_libdir}/firefox/plugins'
	# pluginname
	PLUGINNAME='xineplugin.so'

	for PLUGINDIR in ${PLUGINDIRS}; do
		if [ -d ${PLUGINDIR} ]; then
			cd ${PLUGINDIR}
			# check if plugin directory exists
			if [ ! -L ${PLUGINNAME} ]; then
				# add a symlink if it doesn't exists
				%{__ln_s} %{_libdir}/browser-plugins/${PLUGINNAME} .
			fi
			cd -
		fi
	done
fi

%preun
if [ "$1" = "0" ]; then # remove
	# plugindirs to check
	PLUGINDIRS='/opt/mozilla/%{_lib}/plugins /opt/MozillaFirefox/%{_lib}/plugins /opt/netscape/plugins /opt/mozilla/plugins %{_libdir}/firefox/plugins'
	# pluginname
	PLUGINNAME='xineplugin.so'

	for PLUGINDIR in ${PLUGINDIRS}; do
		if [ -d ${PLUGINDIR} ]; then
			cd ${PLUGINDIR}
			# check if plugin directory exists
			if [ -L ${PLUGINNAME} ]; then
				# add a symlink if it doesn't exists
				%{__rm} -f ${PLUGINNAME}
			fi
			cd -
		fi
	done
fi

%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README TODO
%{_libdir}/browser-plugins/xineplugin.so
%{_libdir}/browser-plugins/xine-logo.*

%changelog
* Sun Apr 06 2008 Carsten Schoene <cs@linux-administrator.com>
- import for SLE_10 build
